* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    background: linear-gradient(135deg, #1e3c72, #2a5298);
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100svh;
    overflow: hidden;
}

.container {
    text-align: center;
    padding: 20px;
    max-width: 600px;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 15px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    /* backdrop-filter: blur(10px); */
    border: 1px solid rgba(255, 255, 255, 0.3);
}

h1 {
    font-size: 3.5rem;
    margin-bottom: 20px;
    background: linear-gradient(90deg, #ff7eb3, #ff758c);
    --webkit-background-clip: text;
    --webkit-text-fill-color: transparent;
}

p {
    font-size: 1.2rem;
    margin-bottom: 30px;
    line-height: 1.6;
}

.countdown {
    font-size: 2.5rem;
    font-weight: bold;
    margin-bottom: 30px;
    background: linear-gradient(90deg, #00c6ff, #0072ff);
    --webkit-background-clip: text;
    --webkit-text-fill-color: transparent;
}

.email-form {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

input[type="email"] {
    padding: 10px 15px;
    font-size: 1rem;
    border: none;
    border-radius: 5px 0 0 5px;
    outline: none;
    width: 70%;
    background: rgba(255, 255, 255, 0.8);
    color: #333;
}

button {
    padding: 10px 20px;
    font-size: 1rem;
    border: none;
    background: linear-gradient(90deg, #ff7eb3, #ff758c);
    color: #ffffff;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
    transition: transform 0.3s ease, background-color 0.3s;
}

button:hover {
    transform: scale(1.05);
    background-color: #ff4da6;
}

.social-icons {
    margin-top: 20px;
}

.social-icons a {
    margin: 0 10px;
    color: grey; /*#ffffff;*/
    font-size: 1.8rem;
    text-decoration: none;
    transition: transform 0.3s, color 0.3s;
}

.social-icons a:hover {
    transform: scale(1.2);
    color: #fff; /*#ff7eb3;*/
}